[EBS] Acessando o Oracle EBS no Chrome

 

UPDATE 25.10.2016
Com a troca do plugin JRE pelo Java Web Start futuramente, poderemos voltar a utilizar o Chrome com o EBS, e nativamente. Falo mais sobre isso nesse artigo aqui.
UPDATE 15.12.2015
Infelizmente com as novas restrições do Chrome para utilização do Java, não é mais possível utilizar o recurso abaixo. Caso você tenha uma sugestão, deixe um comentário.

O Chrome sem dúvida é um dos melhores (se não o melhor) navegadores existentes atualmente. É muito rápido, personalizável e recebe melhorias frequentemente.

O fato dele receber tantas melhorias tem um lado negativo. Isso faz com que a compatibilidade com alguns serviços de terceiros seja instável, como o próprio EBS.

Para que seja garantido que um navegador funcione “perfeitamente” com o EBS, este navegador precisa ser certificado pela Oracle, e o Chrome não é. A Oracle até tem planos para fazê-lo (veja aqui), mas por causa dessas atualizações frequentes que o Chrome recebe, a coisa complica um pouco.

Em alguns casos o Chrome funciona sem problemas (depende das versões do EBS, do Java, do Chrome, etc…), mas em outros alguns erros acontecem, o mais comum é o FRM-92120:

Mas isso não impede de utilizarmos o EBS no Chrome, felizmente existe uma extensão para corrigir esse problema:

Oracle EBS R12&11i Enablement for Chrome

Basta instalar a extensão e pronto!

Aqui pra mim funcionou perfeitamente no seguinte cenário:

EBS R12 (12.1.3)
Chrome 27.0.1453.94 m
Java 1.6.0_37
Windows 7 64-bit

Com outras versões de Java/Chrome/EBS é necessário testar.

Uma outra dica rápida se você utiliza ou vai utilizar o Chrome com EBS:

Se sua versão do Java estiver desatualizada, toda vez que você entrar no EBS o Chrome vai perguntar se você quer atualizar a versão do Java:

Barra de atualização do Java que aparece no Chrome
Barra de atualização do Java que aparece no Chrome

Se por algum motivo você não quiser atualizar, você pode sempre clicar no botão “Executar esta vez” que vai funcionar. Mas pra evitar que você tenha que clicar sempre nesse botão, no atalho do Chrome na sua máquina você pode incluir o parâmetro “–allow-outdated-plugins”. Isso fará com que o Chrome não pergunte mais se você quer atualizar o Java:

Bom, essas foram as dicas. Se você gostou, compartilhe com seus amigos. Eles também podem estar precisando. 😉

9 Comentários


  1. Cara, to procurando essas duas soluções a muito tempo.
    Todo mundo diz que EBS não funciona no Chrome e realmente, não funciona, até agora. Vou testar isso aí na semana que vem com certeza, daí digo se funcionou!

    Outra é essa questão do chrome ficar reclamando que o java está desatualizado, eu não posso atualizar o Java por causa do EBS, que roda numa versão específica, e, para acessar o site do Banco ficava sempre essa mensagem que o java está desatualizado!

    Muito bom hein.

    Abraço

    Responder

    1. Pelo menos pra você o blog está sendo muito útil… hehe Show de bola! A gente de vez em quando pensa em não postar algo, por achar que todo mundo já sabe… Mas SEMPRE terá alguém precisando…

      Testa lá e me fala… Pode ser que seu problema seja outro, mas aí a gente corre atrás…

      Abs e obrigado!

      Responder

  2. Olá meu amigo tudo bem ?

    Estou num cliente cuja a configuração é Google Chrome
    Versão 65.0.3325.146 (Versão oficial) 64 bits
    EBS 12 (12.1.3)
    Java 1.6.0_07
    windows 10 Enterprize 64bits

    Você recomenda que o chrome nesse caso seja o mais adequado ou o Mozilla?

    Se você algum documento ou artigo oficial da Oracle sobre o assunto e puder compartilhar agradeço imensamente, pois aqui todas as vezes que temos que entrar no EBS com o usuário novo, usando o Internet Explorer, ele pede pra instalar essa versão do java e como os usuários não são administradores da máquina, os mesmos tem que abrir chamado e etc. Queria achar alguma forma de burlar isso.

    Beijos e obrigada antecipadamente !

    Responder

    1. Oi Ana, tudo bem?

      O chrome atual só vai funcionar se já estiverem usando o JWS (Java Web Start), falo mais sobre isso aqui: https://eduardoschurtz.com/oracle/2016/10/java-web-start-oracle-ebs/

      Ele encerrou o suporte ao Java via NPAPI faz tempo.

      Inclusive nesse artigo eu explico esses detalhes do Java.

      Se não estiverem usando o JWS, uma solução é o Firefox, mas tem que ser uma versão mais antiga, como a ESR 52. Você consegue baixar aqui:

      https://ftp.mozilla.org/pub/firefox/releases/52.0.2esr/

      Problema é uma empresa permitir uma versão desatualizada, por questões de segurança.

      Artigo oficial tem esse abaixo:

      https://blogs.oracle.com/stevenchan/e-business-suite-and-java-web-start%3a-frequently-asked-questions

      Espero ter ajudado.

      Abs
      Eduardo

      Responder

      1. Olá Edu !

        Muito obrigada pela ajuda de sempre!
        Ajudou sim pra caramba !
        Beijos!

        Responder

    2. Esse assunto é tão complexo que eu tive que criar uma área específica no meu treinamento apenas para explicar como fazer e configurar.

      Pra que facilitar né? 🤔

      Responder

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *